## scribus-doc 1.3.9.dfsg+svn20110210

=== CMakeLists.txt ===
#Pretty colors
SET(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
SET(CMAKE_VERBOSE_MAKEFILE OFF)
#Project Setup
PROJECT(scribus-doc)
SET(MAIN_DIR_NAME "doc")
SET(DOCDIR "share/doc/")
ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")
ADD_SUBDIRECTORY(doc)

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY(en)

=== debian/changelog ===
scribus-doc (1.3.9.dfsg+svn20110210-1ubuntu1) oneiric; urgency=low

  * Add "cmake" to Build-Depends-Indep (lp: #787659, closes: #626416).

 -- Michael Bienia <geser@ubuntu.com>  Thu, 26 May 2011 19:59:52 +0200

scribus-doc (1.3.9.dfsg+svn20110210-1) unstable; urgency=low

  * Switch to the 1.4.0svn branch in anticipation of the Qt3 removal by
    adapting the scribus-ng-doc packaging.
  * debian/compat: Changed to level 7 to use quilt source format.
  * debian/source/*: Switched to quilt source format.
  * debian/control:
    - Updated Standards-version to 3.9.1.
    - Added ${misc:Depends} to Depends per lintian warning.
    - Added quilt (>= 0.46-7~) to build depends
  * debian/rules: Switched to quilt packaging.
  * debian/doc-base: Removed this file as it wasn't really applicable.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 15 Feb 2011 10:08:49 -0600

scribus-doc (1.3.3.9-1) unstable; urgency=low

  * New upstream release - switching to 1.3.3.x branch for stable releases.
  * debian/rules: Added "de" (German) docs to the installed docs.
  * debian/debian/scribus-doc.links: Changed all links to the 1.3.3.x docs
    locations.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 14 May 2007 13:55:57 -0600

scribus-doc (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated "Standards-Version" to 3.7.2.
    + Changed "Depends: scribus" to Recommends, which is more appropriate.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 18 Jul 2006 15:03:01 -0600

scribus-doc (1.2.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Changed the compatibility level to 5.
  * debian/control:
    - Changed maintainer email to malex@debian.org.
    - Changed debhelper dependency to reflect the new compatibility level.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 11 Jan 2006 08:59:41 -0700

scribus-doc (1.2.3+cvs20051110-1) unstable; urgency=low

  * Upstream cvs release on 2005-11-10.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Wed, 16 Nov 2005 10:18:40 -0700

scribus-doc (1.2.3-1) unstable; urgency=low

  * New upstream release on 2005-09-12.
  * upstream source: Remove cruft Makefile.{in,am} files.
  * debian/copyright: Update FSF address in the GNU FDL license text.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Mon, 19 Sep 2005 12:37:41 -0600

scribus-doc (1.2.2.1-1) unstable; urgency=low

  * New upstream release on 2005-07-05.
  * debian/control: Updated the Standards-version to 3.6.2.
  * scribus-doc.links: Updated links for fr, cs, and pl docs.
  * debian/rules: Updated rules for fr, cs, and pl docs placement.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Tue,  5 Jul 2005 13:35:32 -0600

scribus-doc (1.2.1-2) unstable; urgency=low

  * debian/copyright: Included full text of the OPLv1.0 and GFDLv1.2 licenses. 

 -- Oleksandr Moskalenko <malex@tagancha.org>  Tue,  1 Mar 2005 12:25:11 -0700

scribus-doc (1.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #283826).
  * debian/copyright: Updated cvs checkout, author, and copyright information.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Thu, 13 Jan 2005 23:22:41 -0700

scribus-doc (1.2.0.final+cvs20041227-3) unstable; urgency=low

  * debian/control: change the source Section to non-free/doc from graphics.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Wed, 29 Dec 2004 15:00:08 -0700

scribus-doc (1.2.0.final+cvs20041227-2) unstable; urgency=low

  * debian/scribus-doc.links: Add a link from /usr/share/doc/scribus/en to
    /usr/share/doc/scribus-doc/en to prevent user confusion.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Wed, 29 Dec 2004 09:32:43 -0700

scribus-doc (1.2.0.final+cvs20041227-1) unstable; urgency=low

  * New upstream release. Freedomyug tutorial has been removed.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Tue, 28 Dec 2004 12:37:51 -0700

scribus-doc (1.2.0.final+cvs20041208-1) unstable; urgency=low

  * Initial release. The scribus-doc package has been split out of the
    main scribus package as the upstream docs are distributed under a
    non-DFSG-free license. This is the first time a package is built from the
    upstream scribus cvs source that contains documentation suitable for the
    internal Help Browser.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Thu, 09 Dec 2004 23:05:22 -0700

=== debian/control ===
Source: scribus-doc
Section: non-free/doc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 7), quilt (>= 0.46-7~)
Build-Depends-Indep: cmake
Standards-Version: 3.9.1

Package: scribus-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Recommends: scribus
Conflicts: scribus-cvs-doc, scribus-svn-doc (<= 1.3.5~svn20080708-1)
Replaces: scribus-cvs-doc, scribus-svn-doc (<= 1.3.5~svn20080708-1)
Homepage: http://docs.scribus.net/
Description: non-free documentation for Scribus
 .
 This is the original on-line documentation from http://docs.scribus.net
 reformatted for the Help Browser.

## scribus-doc 1.4.0+r17300

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
 #Project Setup
 PROJECT(scribus-doc)
 SET(MAIN_DIR_NAME "doc")
-SET(DOCDIR "share/doc/")
+SET(DOCDIR "share/scribus/doc/")
 ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")
 ADD_SUBDIRECTORY(doc)

=== doc/en/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

ADD_SUBDIRECTORY(images)
ADD_SUBDIRECTORY(tutorials)

#Install our html files
FILE( GLOB SCRIBUS_DOC_EN_FILES *.html *.xml )
INSTALL(FILES ${SCRIBUS_DOC_EN_FILES} DESTINATION ${DOCDIR}en)

=== doc/de/images/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our image files
FILE( GLOB SCRIBUS_DOC_DE_IMAGES_FILES *.jpg *.png )

INSTALL(FILES ${SCRIBUS_DOC_DE_IMAGES_FILES} DESTINATION ${DOCDIR}de/images)

=== debian/changelog ===
scribus-doc (1.4.0+r17300-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update standards-version.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 05 Mar 2012 11:30:00 -0600

scribus-doc (1.3.9.dfsg+svn20110210-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: missing build-depends on cmake (Closes: #626420)

 -- Jessica McKellar <jesstess@mit.edu>  Sun, 21 Aug 2011 16:38:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: scribus-doc
 Section: non-free/doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
-Build-Depends: debhelper (>= 7), quilt (>= 0.46-7~)
-Build-Depends-Indep: cmake
-Standards-Version: 3.9.1
+Maintainer: Oleksandr Moskalenko <malex@debian.org>
+Build-Depends: debhelper (>= 7), quilt (>= 0.46-7~), cmake
+Standards-Version: 3.9.3
 
 Package: scribus-doc
 Section: non-free/doc

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

package=scribus-doc

DEBIAN_DIR = $(shell pwd)/debian

%:
	dh $@ --with quilt

## scribus-doc 1.4.4

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY(en)
ADD_SUBDIRECTORY(de)
ADD_SUBDIRECTORY(it)

=== doc/cs/CMakeLists.txt ===
ADD_SUBDIRECTORY(tutorials)

=== doc/it/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

ADD_SUBDIRECTORY(images)
#ADD_SUBDIRECTORY(tutorials)

#Install our html files
FILE( GLOB SCRIBUS_DOC_IT_FILES *.html *.xml )
INSTALL(FILES ${SCRIBUS_DOC_IT_FILES} DESTINATION ${DOCDIR}it)

=== doc/en/images/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our image files
FILE( GLOB SCRIBUS_DOC_EN_IMAGES_FILES *.jpg *.png )

INSTALL(FILES ${SCRIBUS_DOC_EN_IMAGES_FILES} DESTINATION ${DOCDIR}en/images)

=== doc/fr/tutorials/short-words/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
menu.xml
after_short_words.png
before_short_words.png
dialog.png
menu.png
short-words-manual.html
  DESTINATION ${DOCDIR}fr/tutorials/scribus-short-words
)

=== debian/changelog ===
scribus-doc (1.4.4-1) unstable; urgency=medium

  * Adopt the package after long time.
  * [e09252f] Imported Upstream version 1.4.4.
  * [6bad1a5] debian/README.source: add to explain the origin of this package
  * debian/control:
    + [b5104db] bump Standard-Version to 3.9.5. No changes needed.
    + [a853775] fix binary-control-field-duplicates-source lintian tag.
    + [870f285] fix homepage-in-binary-package lintian tag.
    + [32098ed] enlarge the description (copy-paste from scribus)
      (fix extended-description-is-probably-too-short lintian tag).
    + [2d811ea] remove Conflicts and Replaces on scribus-cvs-doc and
      scribus-svn-doc: they are not in the debian archives.
    + [550f404] remove pointless build-dep on quilt (we use source format 3.0).
    + [d03fea7] add myself to the Uploaders.
    + [79cbe34] add Vcs-* fields.
  * [b751c9b] add watch file
    + debian/watch: add (fix debian-watch-file-is-missing lintian tag).
    + debian/upstream/signing-key.asc (fix
      debian-watch-may-check-gpg-signature lintian tag).
    + use the same watch file and signature of the scribus package, given
      that the original source is the same.
  * [ba5f87e] debian/{compat,control,rules}: dh7 → dh9.
  * [104bbad] debian/copyright: rewrite using debian copyright format 1.0.
  * [73eb3a7] debian/patches/add-cmakelists: add to be able to build something.
  * [8835fa8] rename debian/{links → scribus-doc.links} to be more deterministic
  * [f857dd8] debian/scribus-doc.lintian-overrides: add to override
    package-contains-broken-symlink lintian tag.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 27 Jul 2014 11:46:21 +0200

=== debian/control ===
Source: scribus-doc
Section: non-free/doc
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Uploaders: Mattia Rizzolo <mattia@mapreri.org>
Build-Depends: debhelper (>= 9), cmake
Homepage: http://docs.scribus.net/
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/scribus-doc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/scribus-doc.git

Package: scribus-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: scribus
Description: non-free documentation for Scribus
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation. It has
 sophisticated page layout features like precision placing and rotating of text
 and/or images on a page, manual kerning of type, bezier curves polygons,
 precision placement of objects, layering with RGB and CMYK custom colors. The
 Scribus document file format is XML-based. Unlike proprietary binary file
 formats, even damaged documents, can be recovered with a simple text editor.
 .
 This is the original on-line documentation from http://docs.scribus.net
 reformatted for the Help Browser.

## scribus-doc 1.4.5

=== debian/changelog ===
scribus-doc (1.4.5-2mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 30 Jul 2015 20:07:32 -0700

scribus-doc (1.4.5-2mcr120+1) mepis; urgency=medium

  * Repackaged for Mepis 12.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 30 Jul 2015 19:37:43 -0700

scribus-doc (1.4.5-1) unstable; urgency=medium

  * [62247c6] Imported Upstream version 1.4.5.
  * [1674c87] debian/scribus-doc.links: update (remove cs, fr, pl, examples,
              add it).
  * [3a15301] debian/scribus-doc.lintian-overrides: drop, now uneeded.
  * [6847220] debian/control: bump Standard-Version to 3.9.6. No changes needed.
  * debian/copyright:
    + [ed57d6c] update years.
    + [6d3ea8c] fix unused-file-paragraph-in-dep5-copyright lintian tag.

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 20 Apr 2015 15:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: scribus-doc
 Section: non-free/doc
 Priority: optional
-Maintainer: Oleksandr Moskalenko <malex@debian.org>
+Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
 Uploaders: Mattia Rizzolo <mattia@mapreri.org>
 Build-Depends: debhelper (>= 9), cmake
 Homepage: http://docs.scribus.net/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/scribus-doc.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/scribus-doc.git

## scribus-doc 1.4.6

=== doc/de/CMakeLists.txt ===
ADD_SUBDIRECTORY(images)
#ADD_SUBDIRECTORY(tutorials)


#Install our html files
FILE( GLOB SCRIBUS_DOC_DE_FILES *.html *.xml )
INSTALL(FILES ${SCRIBUS_DOC_DE_FILES} DESTINATION ${DOCDIR}de)

=== doc/fr/tutorials/CMakeLists.txt ===
ADD_SUBDIRECTORY(short-words)

=== doc/en/tutorials/short-words/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
menu.xml
after_short_words.png
before_short_words.png
dialog.png
menu.png
short-words-manual.html
  DESTINATION ${DOCDIR}en/tutorials/scribus-short-words
)

=== doc/pl/tutorials/short-words/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
menu.xml
after_short_words.png
before_short_words.png
dialog.png
menu.png
short-words-manual.html
  DESTINATION ${DOCDIR}pl/tutorials/scribus-short-words
)

=== debian/changelog ===
scribus-doc (1.4.6-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 3.9.8, no changes needed.
  * Bump debhelper compat level to 10, no changes needed.
  * d/watch: tweak so that it matches only releases from the 1.4.x branch.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 09 Oct 2016 11:51:53 +0000

scribus-doc (1.4.6-1) unstable; urgency=medium

  * [b48bdcc] Imported Upstream version 1.4.6
  * [3d3f231] debian/control: remove malex from maintainer and put myself in.
    Thanks you for maintaining scribus for so long!
  * [57f31af] debian/{control,copyright}: use my @debian.org email address.
  * [9eb42d2] debian/copyright: extend copyright years over 2016 too.
  * [3416bfc] debian/control: use https in Vcs-*.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 13 Jan 2016 01:07:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: scribus-doc
 Section: non-free/doc
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
-Uploaders: Mattia Rizzolo <mattia@mapreri.org>
-Build-Depends: debhelper (>= 9), cmake
+Maintainer: Mattia Rizzolo <mattia@debian.org>
+Build-Depends: debhelper (>= 10), cmake
 Homepage: http://docs.scribus.net/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/scribus-doc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/scribus-doc.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/scribus-doc.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/scribus-doc.git
 
 Package: scribus-doc
 Architecture: all

=== debian/watch ===
version=3

opts="\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpsigurlmangle=s/$/.asc/" \
http://sf.net/scribus/scribus-(1.4.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scribus-doc 1.4.7+dfsg

=== debian/changelog ===
scribus-doc (1.4.7+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.7+dfsg.
  * d/control:
    + Update Vcs-* field for the move to salsa.debian.org.
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Use HTTPS in the Homepage field.
    + Set Rules-Requires-Root: no.
    + Update descriptions from the upstream package.
  * d/copyright:
    + Use HTTPS in the Format field.
    + Use HTTPS in the Source field.
    + Update.
  * Bump debhelper compat level to 11.
  * d/upstream/signing-key.asc: Refresh.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 May 2018 23:56:43 +0200

=== debian/control ===
Source: scribus-doc
Section: non-free/doc
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends: cmake, debhelper (>= 11)
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://docs.scribus.net
Vcs-Browser: https://salsa.debian.org/debian/scribus-doc
Vcs-Git: https://salsa.debian.org/debian/scribus-doc.git

Package: scribus-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: scribus
Description: Open Source Desktop Page Layout - stable branch (documentation)
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 This package contains the documentation.

## scribus-doc 1.4.8+dfsg

=== doc/fr/CMakeLists.txt ===
ADD_SUBDIRECTORY(tutorials)

#Install our html files
FILE( GLOB SCRIBUS_DOC_FR_FILES *.html *.xml )
INSTALL(FILES ${SCRIBUS_DOC_FR_FILES} DESTINATION ${DOCDIR}fr)

=== doc/it/images/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our image files
FILE( GLOB SCRIBUS_DOC_IT_IMAGES_FILES *.jpg *.png )

INSTALL(FILES ${SCRIBUS_DOC_IT_IMAGES_FILES} DESTINATION ${DOCDIR}it/images)

=== doc/cs/tutorials/short-words/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
menu.xml
after_short_words.png
before_short_words.png
dialog.png
menu.png
short-words-manual.html
  DESTINATION ${DOCDIR}cs/tutorials/scribus-short-words
)

=== debian/changelog ===
scribus-doc (1.4.8+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.4.8+dfsg.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * d/watch: Use https protocol.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Mar 2019 15:41:57 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

## scribus-doc 1.5.5+dfsg

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(de)
add_subdirectory(it)

=== doc/fr/tutorials/short-words/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-INCLUDE_DIRECTORIES(
+include_directories(
 "${CMAKE_SOURCE_DIR}/scribus"
 )
 
-INSTALL(FILES
+install(FILES
 menu.xml
 after_short_words.png
 before_short_words.png

=== debian/changelog ===
scribus-doc (1.5.5+dfsg-2~ubuntu20.04.1) focal; urgency=medium

  * Upload to Ubuntu 20.04.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 22 Apr 2020 22:45:35 +0200

scribus-doc (1.5.5+dfsg-2) unstable; urgency=medium

  * Merge scribus-ng-doc and its whole history into scribus-doc.
  * d/rules:
    + Call dh_link here instead of using d/*.links files, to be able to
      replace "-ng" in the filename more easily.
    + Also patch the cmakefile to be able to programmatically set
      the installation path.
  * d/copyright:
    + Bump my copyright years to 2020.
    + Document the reasons for the non-free section.
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.
  * Override the lintian tags:
    + package-contains-documentation-outside-usr-share-doc
    + testsuite-autopkgtest-missing
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 22 Apr 2020 22:27:07 +0200

scribus-ng-doc (1.5.5+dfsg-1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.5.5+dfsg.
  * d/control:
    + Bump debhelper compat level to 12.
    + Bump Standards-Version to 4.4.0, no changes needed.
    + Mark the package as XS-Autobuild:yes.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * d/watch: Use https protocol.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Aug 2019 10:54:39 +0200

scribus-ng-doc (1.5.4+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.4+dfsg.
  * d/control:
    + Use HTTPS in the Homepage field.
    + Update Vcs-* field for the move to salsa.debian.org.
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Set Rules-Requires-Root: no.
  * d/copyright:
    + Use HTTPS in the Format field.
    + Use HTTPS in the Source field.
    + Update.
  * Bump debhelper compat level to 11.
  * d/upstream/signing-key.asc: Refresh.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 May 2018 13:46:58 +0200

scribus-ng-doc (1.5.3-2) experimental; urgency=medium

  * d/control: update description to match the upstream packaging.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Jun 2017 12:15:53 +0200

scribus-ng-doc (1.5.3-1) experimental; urgency=medium

  * New upstream version 1.5.3.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump debhelper compat level to 10.
  * Add upstream GPG signing key.
  * Add watchfile.
  * Bump copyright years for debian/*.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 07 Jun 2017 15:50:37 +0200

scribus-ng-doc (1.5.2-1) experimental; urgency=medium

  * [7570c60] Imported Upstream version 1.5.2.
  * [ed087f4] d/control: Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 17 May 2016 23:50:50 +0000

scribus-ng-doc (1.5.1-2) experimental; urgency=medium

  * [3c938c1] debian/control: fix Vcs-* urls to point to the correct repository.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Mar 2016 00:25:35 +0000

scribus-ng-doc (1.5.1-1) experimental; urgency=medium

  * [84a2c95] Imported Upstream version 1.5.1
  * debian/control:
    + [46f66b6] fix homepage-in-binary-package lintian tag.
    + [d79236b] fix binary-control-field-duplicates-source lintian tag.
    + [201a81c] take over the maintenance from malex.  Thanks for all your work!
    + [e748105] bump Standards-Version to 3.9.7, no changes needed.
    + [964f7b3] remove useless build-dep on quilt.
    + [7bddf32] do not depend anymore on scribus-doc.
    + [96f91b7] do wrap-and-sort maintenance.
    + [8dbe0a6] add Vcs-{Git,Browser} fields.
  * [eef39b4] debian/patches/add-cmakelist: add to be able to use cmake to
    build the package.
  * debian/scribus-ng-doc.links:
    + [3731f7c] rename from debian/links to be more deterministic.
    + [bba1293] update (remove cs, fr, pl, examples add it).
  * [1dc017e] debian/README.source: add.
  * [05252c8] debian/source.lintian-overrides: add to override
    debian-watch-file-is-missing, given that we track the svn repository it's
    useless.
  * [5381a2e] use dh 9:
    + debian/compat: bump 7 => 9.
    + debian/control: build build-dep on debhlper to 9.
  * [9611cb4] debian/rules: remove useless cruft.
  * [1bd67d8,21feb34] debian/copyright: rewrite using copyright format 1.0.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 11 Mar 2016 17:59:43 +0000

scribus-ng-doc (1.4.0+r17300-1) unstable; urgency=low

  * New upstream release. Prepare an empty package to synchronize both scribus
    and scribus-ng for a transition to 1.4.0.
  * debian/control:
    - Add depends on scribus-doc for a transitional package.
    - Update Standards version.
  * debian/links: Update directory links to point to scribus-doc directories.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 05 Mar 2012 12:22:39 -0600

scribus-ng-doc (1.4.0~rc1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS (missing build-depends on cmake)": add it!
    Closes: #618510

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 Sep 2011 18:36:52 +0200

scribus-ng-doc (1.4.0~rc1-1) unstable; urgency=low

  * New upstream stable Release Candidate.
  * debian/*: switched to quilt package format version 3.0.
  * debian/control:
    - Fixed the empty paragraph in the long description (Closes: #564333).
    - Updated standards version to 3.9.1 to correspond to scribus-ng.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 17 Feb 2011 09:48:21 -0600

scribus-ng-doc (1.3.5.dfsg~svn20091216-1) unstable; urgency=low

  * New upstream svn snapshot.
  * debian/control: Updated Standards-Version to 3.8.3.
  * debian/rules: chmod html files to 644.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 18 Dec 2009 16:43:48 -0600

scribus-ng-doc (1.3.5.dfsg~svn20080717-1) unstable; urgency=low

  * Switch to the current active 1.3.5svn code tree. 1.3.4 is not maintained
    anymore and therefore can not be considered a developmental branch
    suitable for the scribus-ng-* package.
  * debian/control:
    - Updated Standards-Version to 3.8.0.


=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: non-free/doc
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
-Build-Depends: cmake, debhelper (>= 11)
-Standards-Version: 4.1.4
+Build-Depends: cmake, debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
+XS-Autobuild: yes
 Homepage: https://docs.scribus.net
 Vcs-Browser: https://salsa.debian.org/debian/scribus-doc
 Vcs-Git: https://salsa.debian.org/debian/scribus-doc.git
@@ -13,7 +14,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: scribus
-Description: Open Source Desktop Page Layout - stable branch (documentation)
+Description: Open Source Desktop Page Layout - documentation - 1.5.x branch
+#Description: Open Source Desktop Page Layout - stable branch (documentation)
  Scribus is an open source desktop page layout program with the aim of
  producing commercial grade output in PDF and Postscript.
  .
@@ -27,6 +29,6 @@
  graphics, Unicode text including right to left scripts such as Arabic and
  Hebrew via freetype. Graphic formats which can be placed in Scribus as images
  include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
- and any bitmap type supported by QT4.
+ and any bitmap type supported by QT5.
  .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

p := $(shell dh_listpackages)
p := $(p:-doc=)
$(info This source package will build «$p»)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DPROJECT_NAME=$p

override_dh_link:
	: This is to save me a dh-exec build-dep.
	dh_link usr/share/$p/doc/en usr/share/doc/$p/en
	dh_link usr/share/$p/doc/de usr/share/doc/$p/de
	dh_link usr/share/$p/doc/it usr/share/doc/$p/it

## scribus-doc 1.5.6.1%2Bdfsg

=== doc/ru/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

# For now use fallback on English doc images
#add_subdirectory(images)

#Install our html files
file( GLOB SCRIBUS_DOC_RU_FILES *.html *.xml *.css *.xsl )
install(FILES ${SCRIBUS_DOC_RU_FILES} DESTINATION ${DOCDIR}ru)

=== doc/en/images/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our image files
file( GLOB SCRIBUS_DOC_EN_IMAGES_FILES *.jpg *.png )

install(FILES ${SCRIBUS_DOC_EN_IMAGES_FILES} DESTINATION ${DOCDIR}en/images)

## scribus-doc 1.5.6.1+dfsg

=== doc/it/images/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our image files
file( GLOB SCRIBUS_DOC_IT_IMAGES_FILES *.jpg *.png )

install(FILES ${SCRIBUS_DOC_IT_IMAGES_FILES} DESTINATION ${DOCDIR}it/images)

=== doc/cs/tutorials/short-words/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-INCLUDE_DIRECTORIES(
+include_directories(
 "${CMAKE_SOURCE_DIR}/scribus"
 )
 
-INSTALL(FILES
+install(FILES
 menu.xml
 after_short_words.png
 before_short_words.png

=== debian/changelog ===
scribus-doc (1.5.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.6.1+dfsg.
  * Include the new docs in Russian.
  * Update my Copyright for debian/*.
  * Bump debhelper compat level to 13.
  * Bump Std-Ver to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Jan 2021 00:33:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: non-free/doc
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
-Build-Depends: cmake, debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: cmake, debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 XS-Autobuild: yes
 Homepage: https://docs.scribus.net

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,4 @@
 	dh_link usr/share/$p/doc/en usr/share/doc/$p/en
 	dh_link usr/share/$p/doc/de usr/share/doc/$p/de
 	dh_link usr/share/$p/doc/it usr/share/doc/$p/it
+	dh_link usr/share/$p/doc/ru usr/share/doc/$p/ru

=== debian/watch ===
version=4

opts="\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpmode=auto,\
" \
https://sf.net/scribus/scribus-@ANY_VERSION@@ARCHIVE_EXT@

## scribus-doc 1.5.8+dfsg

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(ru)

=== doc/en/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

add_subdirectory(images)
add_subdirectory(tutorials/short-words)

#Install our html files
file( GLOB SCRIBUS_DOC_EN_FILES *.html *.xml *.css *.xsl )
install(FILES ${SCRIBUS_DOC_EN_FILES} DESTINATION ${DOCDIR}en)

=== doc/fr/CMakeLists.txt ===
add_subdirectory(tutorials/short-words)

#Install our html files
file( GLOB SCRIBUS_DOC_FR_FILES *.html *.xml )
install(FILES ${SCRIBUS_DOC_FR_FILES} DESTINATION ${DOCDIR}fr)

=== doc/pl/tutorials/short-words/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-INCLUDE_DIRECTORIES(
+include_directories(
 "${CMAKE_SOURCE_DIR}/scribus"
 )
 
-INSTALL(FILES
+install(FILES
 menu.xml
 after_short_words.png
 before_short_words.png

=== debian/changelog ===
scribus-doc (1.5.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.8+dfsg.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Jan 2022 12:22:00 +0100

scribus-doc (1.5.7+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.7+dfsg.  Closes: #1003542
  * Update copyright.
  * d/control:
    + Move Homepage to the main scribus website, as docs.scribus.net
      now redirects there.
    + Bump Standards-Version to 4.6.0, no changes needed.
  * Replace manual dh_link calls in d/rules with d/*.links, now that
    dh compat 13 supports variable substitution.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 16 Jan 2022 11:43:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 XS-Autobuild: yes
-Homepage: https://docs.scribus.net
+Homepage: https://scribus.net
 Vcs-Browser: https://salsa.debian.org/debian/scribus-doc
 Vcs-Git: https://salsa.debian.org/debian/scribus-doc.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

p := $(shell dh_listpackages)
p := $(p:-doc=)
$(info This source package will build «$p»)
export p

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DPROJECT_NAME=$p

## scribus-doc 1.6.1+dfsg

=== debian/changelog ===
scribus-doc (1.6.1+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.6.1.
  * Update copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Feb 2024 15:41:32 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scribus-doc
 Section: non-free/doc
 Priority: optional
-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
@@ -14,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: scribus
-Description: Open Source Desktop Page Layout - documentation - 1.5.x branch
+Description: Open Source Desktop Page Layout - documentation - 1.6.x branch
 #Description: Open Source Desktop Page Layout - stable branch (documentation)
  Scribus is an open source desktop page layout program with the aim of
  producing commercial grade output in PDF and Postscript.
